summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-02-17 22:24:44 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2014-02-17 22:24:44 +0100
commitda133cad10885ca36be26b1b043c737e295a4cd4 (patch)
tree3fb8e1189dce7188c4681144f96982d30c4511bd /scripts
parent638c9f989542642d52859a56913ae5c2ace93e69 (diff)
parent642a45334676311b50bd2b45ae49c45f8b86c86d (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Conflicts: TODO
Diffstat (limited to 'scripts')
-rw-r--r--scripts/ipkg-build2
-rw-r--r--scripts/scan-pkgs.sh12
2 files changed, 12 insertions, 2 deletions
diff --git a/scripts/ipkg-build b/scripts/ipkg-build
index 47158c409..22600e8e0 100644
--- a/scripts/ipkg-build
+++ b/scripts/ipkg-build
@@ -82,7 +82,7 @@ You probably want to remove them: " >&2
[ "$?" -ne 0 ] && PKG_ERROR=1
if [ -z "$section" ]; then
echo "The Section field should have one of the following values:" >&2
- echo "admin, base, comm, editors, extras, games, graphics, kernel, lang, libs, misc, net, scm, text, web, x11" >&2
+ echo "admin, base, boot, comm, editors, extras, games, graphics, kernel, lang, libs, misc, net, scm, text, web, x11" >&2
fi
priority=`required_field Priority`
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 79d416569..1ff957c25 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -61,6 +61,10 @@ if [[ -n $ADK_NATIVE ]];then
fi
fi
+if [[ -n $ADK_PACKAGE_XBMC ]]; then
+ NEED_JAVA="$NEED_JAVA xbmc"
+fi
+
if [[ -n $ADK_PACKAGE_XKEYBOARD_CONFIG ]]; then
NEED_XKBCOMP="$NEED_XKBCOMP xkeyboard-config"
fi
@@ -78,7 +82,6 @@ if [[ -n $ADK_PACKAGE_XKEYBOARD_CONFIG ]]; then
fi
if [[ -n $ADK_PACKAGE_LIBXFONT ]]; then
- NEED_WWW="$NEED_WWW libXfont"
NEED_XMLTO="$NEED_XMLTO libXfont"
fi
@@ -258,6 +261,13 @@ if [[ -n $NEED_DBUSGLIB ]]; then
fi
fi
+if [[ -n $NEED_JAVA ]]; then
+ if ! which java >/dev/null 2>&1; then
+ echo >&2 You need java to build $NEED_JAVA
+ out=1
+ fi
+fi
+
if [[ -n $ADK_USE_CCACHE ]]; then
if ! which ccache >/dev/null 2>&1; then
echo >&2 You have selected to build with ccache, but ccache could not be found.